﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Web.UI.HtmlControls
Partial Class AboutUs
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim page As String = Request.Url.Segments(Request.Url.Segments.Length - 1)
        Dim dtMeta As DataTable = Me.GetData(page)

        'Add Page Title
        Me.Page.Title = dtMeta.Rows(0)("Title").ToString()

        'Add Keywords Meta Tag
        Dim keywords As New HtmlMeta()
        keywords.HttpEquiv = "keywords"
        keywords.Name = "keywords"
        keywords.Content = dtMeta.Rows(0)("Keywords").ToString()
        Me.Page.Header.Controls.Add(keywords)

        'Add Description Meta Tag
        Dim description As New HtmlMeta()
        description.HttpEquiv = "description"
        description.Name = "description"
        description.Content = dtMeta.Rows(0)("Description").ToString()
        Me.Page.Header.Controls.Add(description)
    End Sub

    Private Function GetData(page As String) As DataTable
        Dim query As String = "SELECT Title, Description, Keywords FROM MetaTags WHERE LOWER(Page) = LOWER(@Page)"
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand(query)
                Using sda As New SqlDataAdapter()
                    cmd.CommandType = CommandType.Text
                    cmd.Parameters.AddWithValue("@Page", page)
                    cmd.Connection = con
                    sda.SelectCommand = cmd
                    Dim dt As New DataTable()
                    sda.Fill(dt)
                    Return dt
                End Using
            End Using
        End Using
    End Function
End Class

